Skip to content
View as Markdown

POST Create Dynamic Segment​

POST
/dynamic-segments

Create a new custom dynamic segment with filter conditions. The segment data is stored as a JSON-encoded string in the segment parameter. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"segment": "string"
}

Responses​

Segment created successfully.

application/json
JSON
{
"message": "string",
"segment": {
"id": 0,
"slug": "string",
"title": "string",
"conditions": [
{
"field": "string",
"operator": "string",
"value": "string"
}
],
"condition_match": "string",
"email_activities": {
"status": "string",
"last_email_open": {
"value": 0,
"operator": "string"
},
"last_email_link_click": {
"value": 0,
"operator": "string"
},
"last_email_activity_match": "string"
}
}
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI